import request from '@/utils/request'

// 获取区域地址
export function getTree(data) {
  return request({
    url: '/system/web/position/findChongqingArea',
    method: 'post',
    data: data
  })
}

//归属人管理列表
export function listPeople(data) {
  return request({
    url: '/system/web/farmer/searchByPage',
    method: 'post',
    data: data
  })
}

//归属人删除
export function delPerson(data) {
  return request({
    url: '/system/web/farmer/delete',
    method: 'post',
    data: data
  })
}

//查询归属区域
export function listArea(datas) {
  return request({
    url: '/system/web/area/searchByPage',
    method: 'post',
    data: datas
  })
}

//归属人保存
export function saverAreaPeople(datas) {
  return request({
    url: '/system/web/farmer/save',
    method: 'post',
    data: datas
  })
}

//归属人跟新
export function updateAreaPeople(datas) {
  return request({
    url: '/system/web/farmer/update',
    method: 'post',
    data: datas
  })
}
